Browse files

Version 1.0.4: Fix breakage on vim 7.2. List 7.2 as the minimum vim v…

…ersion required.
  • Loading branch information...
1 parent 3b6e443 commit 10b17b08b7130ad21240f23c4e5e93912ad53a3a @junkblocker junkblocker committed with Jul 24, 2012
Showing with 11 additions and 5 deletions.
  1. +8 −2 autoload/patchreview.vim
  2. +1 −1 doc/patchreview.txt
  3. +2 −2 plugin/patchreview.vim
View
10 autoload/patchreview.vim
@@ -1,14 +1,16 @@
" VIM plugin for doing single, multi-patch or diff code reviews {{{
" Home: http://www.vim.org/scripts/script.php?script_id=1563
-" Version : 1.0.3 {{{
+" Version : 1.0.4 {{{
" Author : Manpreet Singh < junkblocker@yahoo.com >
" Copyright : 2006-2012 by Manpreet Singh
" License : This file is placed in the public domain.
" No warranties express or implied. Use at your own risk.
"
" Changelog :
"
+" 1.0.4 - patchreview was broken in vim 7.2
+"
" 1.0.3 - Perforce diff was skipping files added via branching
"
" 1.0.2 - Fix for system's patch command on BSDs.
@@ -128,7 +130,11 @@ let s:modules = {}
" Functions {{{
function! s:me.Status(str) "{{{
- let l:wide = min([strlen(a:str), strdisplaywidth(a:str)])
+ if v:version >= 703
+ let l:wide = min([strlen(a:str), strdisplaywidth(a:str)])
+ else
+ let l:wide = min([strlen(a:str), &columns])
+ endif
echo strpart(a:str, 0, l:wide)
" call s:me.Debug(strpart(a:str, 0, l:wide))
sleep 1m
View
2 doc/patchreview.txt
@@ -1,5 +1,5 @@
*patchreview.txt* Vim global plugin for doing single, multi-patch or diff code reviews
- Version 1.0.3 (for Vim version 7.0 or higher)
+ Version 1.0.4 (for Vim version 7.0 or higher)
Author: Manpreet Singh < junkblocker@yahoo.com >
Copyright (C) 2006-2011 by Manpreet Singh
View
4 plugin/patchreview.vim
@@ -1,7 +1,7 @@
" VIM plugin for doing single, multi-patch or diff code reviews {{{
" Home: http://www.vim.org/scripts/script.php?script_id=1563
-" Version : 1.0.3 " {{{
+" Version : 1.0.4 " {{{
" Author : Manpreet Singh < junkblocker@yahoo.com >
" Copyright : 2006-2012 by Manpreet Singh
" License : This file is placed in the public domain.
@@ -62,7 +62,7 @@
if &cp || (! exists('g:patchreview_debug') && exists('g:loaded_patchreview'))
finish
endif
-let g:loaded_patchreview="1.0.3"
+let g:loaded_patchreview="1.0.4"
if v:version < 700
echomsg 'patchreview: You need at least Vim 7.0'
finish

0 comments on commit 10b17b0

Please sign in to comment.